AMBARI-24263. Restart services just before stack upgrade fails due to AMS package...
authorMyroslav Papirkovskyi <mpapirkovskyy@apache.org>
Mon, 9 Jul 2018 16:33:07 +0000 (19:33 +0300)
committerGitHub <noreply@github.com>
Mon, 9 Jul 2018 16:33:07 +0000 (19:33 +0300)
commit478f42349dbce6c2adde2d74b3bf243ea738ef93
treecb8d1b44c425dab02fdb9a13227887fd972ad931
parent58144d9764a641f90dd16f9f433e99511a288799
AMBARI-24263. Restart services just before stack upgrade fails due to AMS package incompatibility errors, causing EU not to be started. (mpapirkovskyy) (#1707)

* AMBARI-24263. Restart services just before stack upgrade fails due to AMS package incompatibility errors, causing EU not to be started. (mpapirkovskyy)

* AMBARI-24263. Scriptlets logic update. Nullable metrics template. (mpapirkovskyy)

* AMBARI-24263. Conditional metrics templates. (mpapirkovskyy)

* AMBARI-24263. Templates typo fix. (mpapirkovskyy)

* AMBARI-24263. Fix template in config. (mpapirkovskyy)

* AMBARI-24263. Fix IFS usage side effects. (mpapirkovskyy)

* AMBARI-24263. Restart services just before stack upgrade fails due to AMS package incompatibility errors, causing EU not to be started. (mpapirkovskyy)
ambari-metrics-assembly/pom.xml
ambari-metrics-assembly/src/main/package/deb/control/preinst [new file with mode: 0644]
ambari-metrics-assembly/src/main/package/rpm/sink/preinstall.sh [new file with mode: 0644]